@echo off

if not "%1"=="" goto okARG
echo "Usage: sofa-dock.bat name-of-the-dock"
exit

:okARG

if not "%SOFA_HOME%" == "" goto okHOME
echo Set SOFA_HOME variable!
exit

:okHOME

if exist "%SOFA_HOME%\bin\setenv-auto.bat" call "%SOFA_HOME%\bin\setenv-auto.bat"

set SOFACLASSPATH="%SOFA_HOME%\lib\sofa2.jar"

java -cp %SOFACLASSPATH% -Djava.security.policy="%SOFA_HOME%\.java.policy" -Dsofa.logdir="%SOFALOGDIR%" -Dsofa.logfile="dock-%1.log" -Dsofa.logport="%SOFALOGPORT%" -Dlog4j.configuration="file:%DOCKLOGCONF%" -Dsofa.agent.repository.context="%SOFAREPCONTEXT%" -Ddock.output="console" org.objectweb.dsrg.sofa.deployment.launcher.Launcher -S "$ZEROCONFPORT" org.objectweb.dsrg.sofa.deployment.util.RunDeploymentDock %1
