#!/bin/bash

if [ $# -ne 1 ]; then
    echo "Usage: sofa-auto-dock.sh name-of-the-dock"
    exit
fi

PRG="$0"

PRGDIR=`dirname "$PRG"`

SOFA_HOME=$PRGDIR/..

if [ -r "$PRGDIR"/setenv-auto.sh ]; then
  . "$PRGDIR"/setenv-auto.sh
fi

SOFACLASSPATH="$SOFA_HOME/lib/sofa2.jar"

java -cp $SOFACLASSPATH -Djava.security.policy="$SOFA_HOME/.java.policy" -Dsofa.logdir="$SOFALOGDIR" -Dsofa.logport="$SOFALOGPORT" -Dlog4j.configuration="file:$LAUNCHLOGCONF" -Dsofa.agent.repository.context="$SOFAREPCONTEXT" -Ddock.output="console" org.objectweb.dsrg.sofa.deployment.launcher.Launcher -S "$ZEROCONFPORT" org.objectweb.dsrg.sofa.deployment.util.RunDeploymentDock $1
