@echo off

if not "%2"=="" goto okARG
echo "Usage: sofa-auto-launch.bat name-of-app tag-of-app"
echo "       sofa-auto-launch.bat name-of-app -v version-of-app"
exit

:okARG

if not "%SOFA_HOME%" == "" goto okHOME
echo Set SOFA_HOME variable!
exit

:okHOME

if exist "%SOFA_HOME%\bin\setenv-auto.bat" call "%SOFA_HOME%\bin\setenv-auto.bat"

set SOFACLASSPATH="%SOFA_HOME%\lib\sofa2.jar"

java -cp %SOFACLASSPATH% -Djava.security.policy="%SOFA_HOME%\.java.policy" -Dsofa.logdir="%SOFALOGDIR%" -Dlog4j.configuration="file:%LAUNCHLOGCONF%" -Dsofa.agent.repository.context="%SOFAREPCONTEXT%" org.objectweb.dsrg.sofa.deployment.launcher.Launcher -S "$ZEROCONFPORT" org.objectweb.dsrg.sofa.deployment.util.LaunchApplication %*

