@echo off

if not "%1"=="" goto okARG
echo "Usage: sofa-dock.bat name-of-the-dock"
exit /B

:okARG

if not "%SOFA_HOME%" == "" goto okHOME
echo Set SOFA_HOME variable!
exit /B

:okHOME

if exist "%SOFA_HOME%\bin\setenv.bat" call "%SOFA_HOME%\bin\setenv.bat"

set SOFACLASSPATH="%SOFA_HOME%\lib\sofa2.jar"

java -cp $SOFACLASSPATH -Djava.security.policy="$SOFA_HOME/.java.policy" -Dsofa.logdir="$SOFALOGDIR" -Dsofa.logfile="dock-${1}.log" -Dlog4j.configuration="file:$DOCKLOGCONF" -Dsofa.registry.port="$SOFARMIPORT" -Dsofa.registry.host="$SOFARMIHOST" -Dconnector.gcm.rmihost="$SOFACONMANHOST" -Dsofa.agent.repository.hostname="$SOFAREPHOST" -Dsofa.agent.repository.port="$SOFAREPPORT" -Dsofa.agent.repository.context="$SOFAREPCONTEXT" -Dosgi.bundles="$BUNDLES" -Dfelix.cache.profiledir="$FELIXCACHE" -Dfelix.config.properties="file:$FELIXCONF" -Dsofa.dock.capabilities=OSGi org.objectweb.dsrg.sofa.deployment.util.RunDeploymentDock $1
