#!/bin/bash

PRG="$0"

PRGDIR=`dirname "$PRG"`

SOFA_HOME=$PRGDIR/..

if [ -r "$PRGDIR"/setenv.sh ]; then
  . "$PRGDIR"/setenv.sh
fi

SOFACLASSPATH="$SOFA_HOME/lib/sofa2-repositoryserver.jar"

if [ -z "$SOFANODENAME" ]; then
SOFANODEPROP=""
else
SOFANODEPROP="-Dsofa.sofanode.name=$SOFANODENAME"
fi

java -cp $SOFACLASSPATH -Djava.security.policy="$SOFA_HOME/.java.policy" $SOFANODEPROP -Dsofa.logdir="$SOFALOGDIR" -Dlog4j.configuration="file:$REPLOGCONF" -Dsofa.repository.webapp.path="$SOFA_HOME/lib/repositorywebapp.war" -Dsofa.repository.path="$SOFAREPOSITORYPATH" -Dsofa.repository.port="$SOFAREPPORT" org.objectweb.dsrg.sofa.repository.server.RepositoryServer

