@echo off

if not "%1"=="" goto okARG
echo "Usage: sofa-update.bat id-of-component name-of-arch"
exit /B

:okARG

if not "%SOFA_HOME%" == "" goto okHOME
echo Set SOFA_HOME variable!
exit /B

:okHOME

if exist "%SOFA_HOME%\bin\setenv.bat" call "%SOFA_HOME%\bin\setenv.bat"

set SOFACLASSPATH="%SOFA_HOME%\lib\sofa2.jar"

java -cp %SOFACLASSPATH% -Djava.security.policy="%SOFA_HOME%\.java.policy" -Dsofa.logdir="%SOFALOGDIR%" -Dlog4j.configuration="file:%LAUNCHLOGCONF%" -Dsofa.registry.port="%SOFARMIPORT%" -Dsofa.registry.host="%SOFARMIHOST%" -Dconnector.gcm.rmihost="%SOFACONMANHOST%" -Dsofa.agent.repository.hostname="%SOFAREPHOST%" -Dsofa.agent.repository.port="%SOFAREPPORT%" -Dsofa.agent.repository.context="%SOFAREPCONTEXT%" org.objectweb.dsrg.sofa.deployment.util.UpdateComponent %1 %2 %3
