package org.objectweb.dsrg.sofa.examples.logdemo.arch;

import org.objectweb.dsrg.sofa.*;
import java.util.Properties;

public class ParametrizedLogger implements org.objectweb.dsrg.sofa.examples.logdemo.iface.Log, org.objectweb.dsrg.sofa.SOFARunnable, org.objectweb.dsrg.sofa.SOFAParametrized, Runnable, org.objectweb.dsrg.sofa.SOFASelfShutting {

  protected SOFAAppShuttingContext ctx = null;
  int maxLogs = 3; //default value for maximum logs

  public void run() {
  }

  public void start() {
  }

  public void log( String message ) {
	  if(maxLogs == 0) {
		ctx.shutdownApp();
		return;
	  }
    System.out.println("LOG: " + message);
    maxLogs--;
  }

  @Override
 public void setProperties(Properties props) {
        for(Object o : props.keySet()) {
                System.out.println(o.toString() + "->" + props.getProperty(o.toString()));
        }
  }

  public void setShuttingContext(SOFAAppShuttingContext context) {
	ctx = context;
  }
}
