package org.objectweb.dsrg.sofa.examples.logdemo.arch;

import org.objectweb.dsrg.sofa.SOFAClient;
import org.objectweb.dsrg.sofa.SOFALifecycle;
import org.objectweb.dsrg.sofa.SOFAThreadHelper;

public class Tester implements SOFALifecycle, Runnable, SOFAClient {

  boolean end = false;
  org.objectweb.dsrg.sofa.examples.logdemo.iface.Log logger = null;
  
  public void start() {
    Thread t = new Thread(this);
    t.start();
  }
  
  public void stopping() {
    
  }
  
  public void stop() {
    end = true;
  }

  public void run() {
    while (!end) {
      logger.log("Hello world!");
      try {
        Thread.sleep(5000);
      } catch (Exception e) {
      }
    }
  }
  
  public void setRequired(String name, Object iface) {
    if (name.equals("log")) {
      if (iface instanceof org.objectweb.dsrg.sofa.examples.logdemo.iface.Log) {
        logger = (org.objectweb.dsrg.sofa.examples.logdemo.iface.Log) iface;
      }
    }
  }
}
