@echo off

rem Name of the SOFAnode. Default is host name.
rem Set it if the default is not sufficient.
rem SOFANODENAME="foo.bar.org"

rem Directory to which all logs are stored.
rem Usually not necessary to change.
set SOFALOGDIR="%SOFA_HOME%\_logs"
set SOFALOGPORT="8172"

rem Log4j configuration files for particular commands.
rem Usually not necessary to change.
set SOFAREPOSITORYPATH="%SOFA_HOME%\_repdir"

rem Log4j configuration files for particular commands.
rem Usually not necessary to change.
set REGLOGCONF="%SOFA_HOME%\conf\registry-log4j.properties"
set REPLOGCONF="%SOFA_HOME%\conf\repository-log4j.properties"
set CONMANLOGCONF="%SOFA_HOME%\conf\conman-log4j.properties"
set DOCKLOGCONF="%SOFA_HOME%\conf\dock-log4j.properties"
set LAUNCHLOGCONF="%SOFA_HOME%\conf\launch-log4j.properties"
set SHUTLOGCONF="%SOFA_HOME%\conf\shut-log4j.properties"
set PSLOGCONF="%SOFA_HOME%\conf\ps-log4j.properties"
set CAPSLOGCONF="%SOFA_HOME%\conf\caps-log4j.properties"
set NODELOGCONF="%SOFA_HOME%\conf\node-log4j.properties"

rem Directory where the repository stores its content.
rem It must be set on a computer, where the repository is executed. On other
rem computers it has no meaning.
rem Usually not necessary to change.
set SOFAREPOSITORYPATH="%SOFA_HOME%\_repdir"

rem Context of the repository.
rem Usually, no need to change.
rem Must be set on all machines, which connect themselves to the repository.
rem That means on all computers which are running dock registry, docks or
rem machines used to launch and shut down applications. The only machine, that
rem does *not* take this setting into account is the repository server.
rem Please set the context when launching the server in warfile/WEB-INF/web.xml.
set SOFAREPCONTEXT="/SofaServlet"

rem Zeroconf server configuration
set ZEROCONFPORT="6789"
