#!/bin/bash

PRG="$0"

PRGDIR=`dirname "$PRG"`

SOFA_HOME=$PRGDIR/..

if [ -r "$PRGDIR"/setenv-auto.sh ]; then
  . "$PRGDIR"/setenv-auto.sh
fi

SOFACLASSPATH="$SOFA_HOME/lib/sofa2.jar:$SOFA_HOME/lib/sofa2-repositoryserver.jar"

java -cp $SOFACLASSPATH -Djava.security.policy="$SOFA_HOME/.java.policy" -Dsofa.logdir="$SOFALOGDIR" -Dlog4j.configuration="file:$REPLOGCONF" -Dsofa.repository.webapp.path="$SOFA_HOME/lib/repositorywebapp.war" org.objectweb.dsrg.sofa.deployment.launcher.Launcher -S "$ZEROCONFPORT" org.objectweb.dsrg.sofa.repository.InitialClone $1 $2 $3