#!/bin/bash

PRG="$0"

PRGDIR=`dirname "$PRG"`

SOFA_HOME=$PRGDIR/..

if [ -r "$PRGDIR"/setenv-auto.sh ]; then
  . "$PRGDIR"/setenv-auto.sh
fi

SOFACLASSPATH="$SOFA_HOME/lib/sofa2-repositoryserver.jar:$SOFA_HOME/lib/sofa2.jar"

if [ -z "$SOFANODENAME" ]; then
SOFANODEPROP=""
else
SOFANODEPROP="-Dsofa.sofanode.name=$SOFANODENAME"
fi

java -cp $SOFACLASSPATH -Djava.security.policy="$SOFA_HOME/.java.policy" $SOFANODEPROP -Dsofa.logdir="$SOFALOGDIR" -Dlog4j.configuration="file:$NODELOGCONF" -Dsofa.repository.webapp.path="$SOFA_HOME/lib/repositorywebapp.war" -Dsofa.repository.path="$SOFAREPOSITORYPATH" -Dsofa.zeroconf.port="$ZEROCONFPORT" org.objectweb.dsrg.sofa.deployment.util.RunAutoconfiguredEnvironment

