#!/bin/bash

PRG="$0"

PRGDIR=`dirname "$PRG"`

SOFA_HOME=$PRGDIR/..

if [ -r "$PRGDIR"/setenv.sh ]; then
  . "$PRGDIR"/setenv.sh
fi

SOFACLASSPATH="$SOFA_HOME/lib/sofa2.jar:$SOFA_HOME/lib/sofa2-repositoryserver.jar"

java -cp $SOFACLASSPATH -Djava.security.policy="$SOFA_HOME/.java.policy" -Dsofa.logdir="$SOFALOGDIR" -Dlog4j.configuration="file:$REPLOGCONF" -Dsofa.repository.webapp.path="$SOFA_HOME/lib/repositorywebapp.war" -Dsofa.agent.repository.port="$SOFAREPPORT" -Dsofa.agent.repository.hostname="$SOFAREPHOST" -Dsofa.agent.repository.context="$SOFAREPCONTEXT" org.objectweb.dsrg.sofa.repository.InitialClone $1 $2