#!/bin/bash

PRG="$0"

PRGDIR=`dirname "$PRG"`

SOFA_HOME=$PRGDIR/..

if [ -r "$PRGDIR"/setenv.sh ]; then
  . "$PRGDIR"/setenv.sh
fi

SOFACLASSPATH="$SOFA_HOME/lib/sofa2.jar"

echo "Running:"
echo "     RepositoryCloner --merge $*"
java -cp $SOFACLASSPATH -Djava.security.policy="$SOFA_HOME/.java.policy" -Dsofa.logdir="$SOFALOGDIR" -Dlog4j.configuration="file:$REPLOGCONF" -Dsofa.agent.repository.port="$SOFAREPPORT" -Dsofa.agent.repository.hostname="$SOFAREPHOST" -Dsofa.agent.repository.context="$SOFAREPCONTEXT" org.objectweb.dsrg.sofa.repository.RepositoryCloner --merge $*