package org.objectweb.dsrg.sofa.examples.logdemo.arch;

import org.objectweb.dsrg.sofa.SOFAClient;
import org.objectweb.dsrg.sofa.SOFALifecycle;
import org.objectweb.dsrg.sofa.*;
import java.util.Properties;

public class ParametrizedTester implements SOFALifecycle, Runnable, SOFAClient, SOFAParametrized {

  boolean end = false;
  org.objectweb.dsrg.sofa.examples.logdemo.iface.Log logger = null;

  String message = "Hello world!";
  
  public void start() {
    Thread t = new Thread(this);
    t.start();
  }
  
  public void stopping() {
    
  }
  
  public void stop() {
    end = true;
  }

  public void run() {
    while (!end) {
      logger.log(message);
      try {
        Thread.sleep(3000);
      } catch (Exception e) {
      }
    }
  }
  
  public void setRequired(String name, Object iface) {
    if (name.equals("log")) {
      if (iface instanceof org.objectweb.dsrg.sofa.examples.logdemo.iface.Log) {
        logger = (org.objectweb.dsrg.sofa.examples.logdemo.iface.Log) iface;
      }
    }
  }

  public void setProperties(Properties props) {
	for(Object o : props.keySet()) {
		System.out.println(o.toString() + "->" + props.getProperty(o.toString()));
	}
  }
}
