/* $Id: MediaServer.java 278 2008-08-15 18:17:30Z mmalohlava $
 *
 * SOFA 2.0 component system
 * Copyright (C) 2006-2008  DSRG, Charles University in Prague
 *                          http://dsrg.mff.cuni.cz/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA
 *
 */
package org.objectweb.dsrg.sofa.examples.streaming.iface;

/**
 * Interface providing access to the content of media server.
 * 
 * @author Michal Malohlava
 *
 */
public interface MediaServer {
	/**
	 * Get list of content.
	 * 
	 * @return array containing list of content id
	 */
	String[] getContentList();
	
	String getContentInfo(String id);
}
